---
title: "Get the finished ad analysis"
description: "The analysis document. An analysis that is not finished answers 409 analysis_not_completed."
url: https://docs.roasos.com/api-reference/workflows/getWorkflowAnalysisResult
---

# Get the finished ad analysis

The analysis document. An analysis that is not finished answers 409 analysis_not_completed.

## `GET /v1/workflows/analyses/{id}/result`

Endpoint: `GET https://api.roasos.com/v1/workflows/analyses/{id}/result`

Get the finished ad analysis

The analysis document. An analysis that is not finished answers 409 analysis_not_completed.

### Parameters

- `id` (path) — required

### Responses

- `200`: The finished analysis document
- `400`: The analysis ID is not a UUID
- `404`: Analysis not found in this workspace
- `409`: analysis_not_completed: the analysis is not terminal yet
- `503`: The analysis projection is temporarily unavailable

Read the full reference at https://docs.roasos.com/api-reference/workflows/getWorkflowAnalysisResult.
